Subject: bug#13930: closed (Re: bug#13930: Emacs doesn't cope well if it can't access/create .emacs.d)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 14 May 2013 16:03:03 +0000

Your bug report

#13930: Emacs doesn't cope well if it can't access/create .emacs.d

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13930: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13930
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13930: Emacs doesn't cope well if it can't access/create .emacs.d
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 14 May 2013 12:01:51 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.4

Thanks for testing, applied to trunk. Barring unexpected, should be in 24.4.

Subject: Emacs doesn't cope well if it can't access/create .emacs.d
From: Robert Prije <[email-masked]>
To: [email-masked]
Date: Tue, 12 Mar 2013 09:35:55 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

If emacs can't reach or create .emacs.d it gets into a sort of half-loaded
state.

Here's an example of how this causes problems for me:

I often have processes spawn emacs for me using sudo.

My home directory has 700 permissions and exists on a root-squashed NFS
share. Consequently root can't reach it.

As a result, whenever I run sudo emacs on a file, it throws the error:

"Creating directory: Permission denied, /home/rprije/.emacs.d/"

in my minibuffer. It fails to load my file and I have to do C-x C-f on the
file to open it manually. If it's a temporarily created file, it often
loses the file completely and I can't regain it.

I'd have expected running with -Q or -q would help but it sadly makes no
difference.

$ emacs --version
GNU Emacs 23.2.1